Bug 615501 - [abrt] crash in paraview-3.6.2-3.fc13: raise: Process /usr/lib/paraview/paraview-real was killed by signal 6 (SIGABRT)
[abrt] crash in paraview-3.6.2-3.fc13: raise: Process /usr/lib/paraview/parav...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:88fb8f09cb87521a924a24f41b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 16:40 EDT by Simone
Modified: 2011-06-29 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (51.37 KB, text/plain)
2010-07-16 16:40 EDT, Simone
no flags Details
old file.case I try to open do not use (338 bytes, application/octet-stream)
2010-07-19 19:49 EDT, Simone
no flags Details
file.case is the file I try to open (338 bytes, application/octet-stream)
2010-07-21 06:44 EDT, Simone
no flags Details
file.geo (1.66 MB, application/vnd.dynageo)
2010-07-21 06:45 EDT, Simone
no flags Details
data file (82.49 KB, application/octet-stream)
2010-07-21 06:46 EDT, Simone
no flags Details
data file (247.42 KB, text/directory)
2010-07-21 06:46 EDT, Simone
no flags Details

  None (edit)
Description Simone 2010-07-16 16:40:49 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/paraview/paraview-real
comment: When I click Apply button paraview suddenly crashes
component: paraview
crash_function: raise
executable: /usr/lib/paraview/paraview-real
global_uuid: 88fb8f09cb87521a924a24f41b3ad543e0104054
kernel: 2.6.33.6-147.fc13.i686.PAE
package: paraview-3.6.2-3.fc13
rating: 4
reason: Process /usr/lib/paraview/paraview-real was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.open a file.case
2.click on "Apply" button
3.
Comment 1 Simone 2010-07-16 16:40:53 EDT
Created attachment 432493 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-07-16 16:46:28 EDT
Please try with http://admin.fedoraproject.org/updates/paraview-3.8.0-2.fc13 and see if that helps.
Comment 3 Simone 2010-07-16 18:48:27 EDT
> Please try with http://admin.fedoraproject.org/updates/paraview-3.8.0-2.fc13
> and see if that helps.    

I installed paraview-3.8.0-2.fc13 as yuo suggested, but nothing changed.
The only difference is that Bug Reporting Tool doesn't give me any message.
Comment 4 Orion Poplawski 2010-07-19 15:03:31 EDT
Can you attached needed files to reproduce?
Comment 5 Simone 2010-07-19 19:49:56 EDT
Created attachment 433032 [details]
old file.case I try to open
do not use
Comment 6 Simone 2010-07-19 19:51:14 EDT
the attachment is the file I try to open.
Comment 7 Orion Poplawski 2010-07-20 16:04:04 EDT
Looks like I'm also going to need the cylinder.000.geo file.
Comment 8 Simone 2010-07-21 06:44:40 EDT
Created attachment 433379 [details]
file.case is the file I try to open
Comment 9 Simone 2010-07-21 06:45:25 EDT
Created attachment 433380 [details]
file.geo
Comment 10 Simone 2010-07-21 06:46:14 EDT
Created attachment 433381 [details]
data file
Comment 11 Simone 2010-07-21 06:46:50 EDT
Created attachment 433382 [details]
data file
Comment 12 Orion Poplawski 2010-07-21 10:55:35 EDT
I can open the cylinder.000.case file just fine.  Is there a particular series of steps needed to reproduce?
Comment 13 Orion Poplawski 2010-07-21 11:02:01 EDT
#3  0x0555dd98 in __assert_fail (assertion=
    0x85ac908 "\"post: all_items_match\" && numEntries==4", file=
    0x85ac824 "/builddir/build/BUILD/ParaView3/VTK/IO/vtkEnSight6Reader.cxx", 
    line=84, function=
    0x85acce0 "void vtkEnSight6ReaderRead1(const char*, const char*, int*, float*, float*, float*)") at assert.c:81
        buf = 
    0x9e4d9e0 "paraview-real: /builddir/build/BUILD/ParaView3/VTK/IO/vtkEnSight6Reader.cxx:84: void vtkEnSight6ReaderRead1(const char*, const char*, int*, float*, float*, float*): Asserzione `\"post: all_items_match\""...
#4  0x0834071a in vtkEnSight6ReaderRead1 (line=
    0xbf90da3c "       1 2.88880e+00 1.57000e+00-1.00000e+00", pointId=
    0xbf90d930, point1=0xbf90d920, point2=0xbf90d924, point3=0xbf90d928)
    at /usr/src/debug/ParaView3/VTK/IO/vtkEnSight6Reader.cxx:84
        numEntries = <value optimized out>
        __PRETTY_FUNCTION__ = 
    "void vtkEnSight6ReaderRead1(const char*, const char*, int*, float*, float*, float*)"
#5  0x0834bf3a in vtkEnSight6Reader::ReadGeometryFile (this=0x9ea52f8, 
    fileName=<value optimized out>, timeStep=1, output=0x9ebf040)
    at /usr/src/debug/ParaView3/VTK/IO/vtkEnSight6Reader.cxx:284
        line = 
    "       1 2.88880e+00 1.57000e+00-1.00000e+00\000\060\201\267\022\000,\005\307A\261\000\022\000\000\000\230\332\220\277'\331\017\005\370R\352\t\360a\252\004\250\332\220\277\000\000\000\000\060\333\220\277\214\067,\005\350\332\220\277\364\332\220\277\300L\353\t\264\376\251\004\000\060\201\267\000\000\000\000X=;\tLG%\b\004\000\000\000\032\000\000\000\330\063l\005\264\376\251\004\350\332\220\277 \000\000\000\300\rW\t\240\063l\005\002\000\000\000\364\037l\005\240\063l\005\060\302\234\t\224v#\b\000\060\201\267\370R\352\t\377\377\377\377\304/\227\000LG%\b\001\000\000\000@\333\220\277\325'\226\000\270\061\201\267\000\000\000\000\001\000\000\000\001\000\000\000\000\000\000\000\324\060$\b\310\000D\000\001\000\000\000\000\240!\b\224v#\b\370\231e\b\370R\352\t"
        pointId = 1
        j = <value optimized out>
        sfilename = 
    "/home/simone/Scrivania/Tesi/simulazioni/Dpar_dt0_P1bP1_Nstab/cylinder.000.geo"
        partId = <value optimized out>
        lineRead = <value optimized out>
        tmpIds = 0x9ebf468
        maxId = <value optimized out>
        subLine = 
    "given\000\222\004\264\376\251\004h\331\220\277z\345\214\004\264\376\251\004L\332\220\277\250\331\220\277\311*\223\004L\332\220\277<\325\225\000\212\267\200\004TI%\b\270_\352\t\240\063l\005\230\331\220\277'\331\017\005\370R\352\t\304/\227\000t3\"\bS\000\000\000<\332\220\277d\335\225\000\350\331\220\277T\342\017\005\300L\353\t`\332\220\277\310\331\220\277\276d\216\004X=;\t\000*f %*f %*f \307A\261\000\264\376\251\004^\n\000\000\264\376\251\004S\000\000\000\360a\252\004\370\331\220\277\004b\"\b\204\353\226\000\004\332\220\277\224v#\b\016\000\000\000\210\265\354\002\324\363\234\t\016\261\226]\346&\233\004w\000\000\000\000\060\201\267\000\000\000\000\000\000\000\000\001\000\000\000I\021\000\000\000\000\000\000\000\060\201\267LG%\b\324\060$\b\224v#\b\001\000\000\000\304/\227\000\060\333\220\277\270\061\201\267"
        point = {2, 5.2972595e-33, -1.13163471}
        i = <value optimized out>
        pointIdsListed = 1
Comment 14 Orion Poplawski 2010-07-21 11:03:42 EDT
Reported upstream here: http://public.kitware.com/Bug/view.php?id=11021
Comment 15 Ben Boeckel 2010-08-11 09:33:44 EDT
Looking at it, it seems as though paraview is not built with -DNDEBUG (which kdelibs is built with). Maybe something is missing from the %cmake macro that %cmake_kde4 adds?
Comment 16 Bug Zapper 2011-06-01 09:40:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2011-06-29 09:24:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.